#
# spec file for package python-morbid
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-morbid
Version:        0.8.7.3
Release:        lp150.1.3
Url:            http://www.morbidq.com
Summary:        A Twisted-based publish/subscribe messaging server that uses the STOMP protocol
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/m/morbid/morbid-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-Twisted
Requires:       python-stomper
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Morbid is a Twisted-based publish/subscribe messaging server that uses the
STOMP protocol. It supports publish/subscribe topics, and runs as a single 
node. It is designed specifically for usecases where a clustered message
broker is not necessary.

%prep
%setup -q -n morbid-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/morbid*
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Sep 23 2011 saschpe@suse.de
- Initial version
